# `finallycoffee.matrix.synapse` ansible role

## Configuration

### Required

The following variables need to be populated:

- `synapse_domain` - the domain this homeserver should be authoritative for.
- `synapse_signing_key` - the signing key synapse should use.
  Set either this or `synapse_role_generate_signing_key: true`.

## Other

- [Configure your database](docs/database.md)
- [Configure your listeners](docs/listeners.md)

## Deployment methods

### Docker

Set `synapse_deployment_method: docker` to deploy synapse in docker container(s).
This is currently the default.

### Planned methods

- virtual env + systemd
- podman
