# `finallycoffee.matrix` ansible collection

## Overview

Roles for deploying matrix infrastructure using ansible.

## Modules

- [`synapse_signing_key`](plugins/modules/synapse_signing_key.md): Module for managing / generating synapse signing keys

## Roles

- [`cinny`](roles/cinny/README.md): [Cinny](https://cinny.in/) Web Client
- [`element`](roles/element/README.md): [Element](https://element.io/) Web Client
- [`synapse`](roles/synapse/README.md): [Synapse](https://github.com/element-hq/synapse/),
  a matrix homeserver implemention by Element

## License

[CNPLv7+](LICENSE.md): Cooperative Nonviolent Public License
